- Qt 6.10
- Qt Charts
- C++ Classes
- QBarLegendMarker
- Qt Charts | Commercial or GPLv3

# QBarLegendMarker Class

The QBarLegendMarker class is a legend marker for a bar series. More...

Header: | `#include <QBarLegendMarker>`
Inherits: | QLegendMarker

- List of all members, including inherited members

## Public Functions

virtual | ~QBarLegendMarker()
QBarSet * | barset()

## Reimplemented Public Functions

virtual QAbstractBarSeries * | series() override
virtual QLegendMarker::LegendMarkerType | type() override

## Detailed Description

A bar legend marker is related to QAbstractBarSeries derived classes. With a bar series, each marker is related to one QBarSet.

See also QLegend, QAbstractBarSeries, and QBarSet.

## Member Function Documentation

### `[virtual noexcept]` QBarLegendMarker::~QBarLegendMarker()

Removes the legend marker for a bar set.

### QBarSet *QBarLegendMarker::barset()

Returns the bar set related to the marker.

### `[override virtual]` QAbstractBarSeries *QBarLegendMarker::series()

Reimplements: QLegendMarker::series().

### `[override virtual]` QLegendMarker::LegendMarkerType QBarLegendMarker::type()

Reimplements: QLegendMarker::type().